<?php
/**
 * @version        1.14.0
 * @package        Joomla
 * @subpackage     Edocman
 * @author         Tuan Pham Ngoc
 * @copyright      Copyright (C) 2011 - 2025 Ossolution Team
 * @license        GNU/GPL, see LICENSE.php
 */

defined('_JEXEC') or die;

use Joomla\CMS\MVC\Controller\BaseController;
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

class EdocmanControllerExportimport extends EDocmanController
{
    public function display($cachable = false, $urlparams = array())
    {
        $view = $this->getView('exportimport', 'html');
        $model = $this->getModel('exportimport');
        $view->setModel($model, true);
        
        parent::display($cachable, $urlparams);
    }
    
    public function export()
    {
        $this->setRedirect(Route::_('index.php?option=com_edocman&view=export', false));
    }
    
    public function import()
    {
        $this->setRedirect(Route::_('index.php?option=com_edocman&view=import', false));
    }
}
